/*
2000 Microsoft Corporation. All rights reserved.
*/
var vidIsRunning = false;

function Init(){
	onOpenStateChange();
	onPlayStateChange();
    vidIsRunning = (player.openState == osMediaOpen) && (player.currentMedia.ImageSourceWidth > 0);
	if(vidIsRunning){
		StartVideo();
	}
	else{
		EndVideo();
	}
}

function onPlayStateChange(){
    switch(player.PlayState){
	    case psStopped:
	    case psPaused:
	        playb.visible = true;
			pauseb.visible = false;
	        smplayb.visible = true;
			smpauseb.visible = false;
	        break;
	    case psPlaying:
	        playb.visible = false;
			pauseb.visible = true;
	        smplayb.visible = false;
			smpauseb.visible = true;
	        break;
    }
}

function onOpenStateChange(){
    if(player.OpenState == osMediaOpen){
        artistdata.value = player.currentmedia.getiteminfo("Artist");
    }
}

function OnModeChange(){
	repeatbutton.down = player.settings.getmode("loop");
}

function StartVideo(){
	if(smallplayer.visible == true){
		smallplayer.visible = false;
		main.visible = true;
		blback.visible = true;
	}
	visEffects.visible = false;
	playlisttray.visible = false;
	playlistcontrol.visible = false;
	controlstray.visible = false;
    vid.visible = vidIsRunning = true;
	vidtray.visible = true;
	myview.width = 425;
	myview.height = 230;
}

function EndVideo(){
	visEffects.visible = true;
    vid.visible = vidIsRunning = false;
    vidtray.visible = false;
	if(playlisttray.visible == false && controlstray.visible == false){
		myview.width = 204;
		myview.height = 230;
	}
}

function setVisibility(newPane){
    switch(newPane){
		case "closePlaylist":
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		myview.width = 204;
		myview.height = 230;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openPlaylist":
		vid.visible = false;
		vidtray.visible = false;
		controlstray.visible = false;
		playlisttray.visible = true;
		playlistcontrol.visible = true;
		myview.width = 425;
		myview.height = 230;
		break;
		
		case "closeAudioControls":
		controlstray.visible = false;
		myview.width = 204;
		myview.height = 230;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openAudioControls":
		vid.visible = false;
		vidtray.visible = false;
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		controlstray.visible = true;
		myview.width = 425;
		myview.height = 230;
		break;
    }
}

function switchToSmall(){
	if(vidIsRunning == false){
		main.visible = false;
		visEffects.visible = false;
		blback.visible = false;
		smallplayer.visible = true;
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		controlstray.visible = false;
		myview.width = 112;
		myview.height = 112;
	}
}

function switchToLarge(){
	smallplayer.visible = false;
	main.visible = true;
	visEffects.visible = true;
	blback.visible = true;
	myview.width = 204;
	myview.height = 230;
}